// Copyright (c) ppy Pty Ltd <contact@ppy.sh>. Licensed under the MIT Licence.
// See the LICENCE file in the repository root for full licence text.

using System.Collections.Generic;
using Newtonsoft.Json;
using osu.Framework.Bindables;
using osu.Game.Tournament.Components;
using osu.Game.Tournament.Screens.Ladder.Components;

namespace osu.Game.Tournament
{
    public class LadderInfo
    {
        public BindableList<MatchPairing> Pairings = new BindableList<MatchPairing>();
        public BindableList<TournamentGrouping> Groupings = new BindableList<TournamentGrouping>();
        public BindableList<TournamentTeam> Teams = new BindableList<TournamentTeam>();

        // only used for serialisation
        public List<TournamentProgression> Progressions = new List<TournamentProgression>();

        [JsonIgnore]
        public Bindable<MatchPairing> CurrentMatch = new Bindable<MatchPairing>();
    }
}
